### Method

# Gimp ConfigWriter finish

since: 2.4

#### Declaration [src]

    gboolean
    gimp_config_writer_finish (
      GimpConfigWriter* writer,
      const gchar* footer,
      GError** error
    )

#### Description [src]

This function finishes the work of `writer` and unrefs it afterwards. It closes all open elements, appends an optional comment and releases all resources allocated by `writer`.

Using any function except `gimp_config_writer_ref()` or `gimp_config_writer_unref()` after this function is forbidden and will trigger warnings.

Available since: 2.4

#### Parameters

`footer`

  Type: `const gchar*`

  Text to include as comment at the bottom of the file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if everything could be successfully written, `FALSE` otherwise.